#ifndef SAMPLE_H
#define SAMPLE_H

#include <QObject>
#include <QList>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QtNetwork/QSslError>

class Sample : public QObject
{
    Q_OBJECT
public:
    explicit Sample(QObject *parent = 0);
    
    void startTest();
    void makeRequest();

signals:
    
public slots:
    void sslErrors(QNetworkReply *reply, const QList<QSslError> &errors);
    void onTimer();
    void onRequestFinish();
    void onError(QNetworkReply::NetworkError error);

private:
   QNetworkAccessManager *_manager;
    
};

#endif // SAMPLE_H
